KDE 4.9 PyKDE API Reference

- KDE's Python API

# KSplashScreen Class Reference

`from PyKDE4.kdeui import *`

Inherits: QSplashScreen → QWidget → QObject

## Detailed Description

KDE splash screen

This class is based on QSplashScreen and exists solely to make splash screens obey KDE's Xinerama settings.

For documentation on how to use the class, see the documentation for QSplashScreen.

"KDE Splash Screen"

Author:
  Chris Howells (howells@kde.org)

## Methods

| __init__ (self, QPixmap pixmap, Qt::WFlags f=0)
| __init__ (self, KSplashScreen a0)

## Method Documentation

__init__ | ( | self, |
|  | QPixmap | pixmap,
|  | Qt::WFlags | f=0
| ) |  |  |

Constructs a splash screen.

__init__ | ( | self, |
|  | KSplashScreen | a0
| ) |  |  |